# Gimp.Parasite

    from gi.repository import Gimp

    parasite = Gimp.Parasite()

Arbitrary pieces of data which can be attached to various GIMP objects.

## Methods

- Gimp.Parasite.compare
- Gimp.Parasite.copy
- Gimp.Parasite.free
- Gimp.Parasite.get_data
- Gimp.Parasite.get_flags
- Gimp.Parasite.get_name
- Gimp.Parasite.has_flag
- Gimp.Parasite.is_persistent
- Gimp.Parasite.is_type
- Gimp.Parasite.is_undoable

## Fields

- Gimp.Parasite->data
- Gimp.Parasite->flags
- Gimp.Parasite->name
- Gimp.Parasite->size